# Role: process_exporter

## Description

Installs and configures process exporter for /proc monitoring.

https://github.com/ncabatoff/process-exporter

## Usage

Using in a playbook:

```yaml
- name: Play
  hosts:
    - all
  roles:
    - samuliy.ansible.process_exporter
  vars:
    ...
```

### Vars

`process_exporter_web_config`:

WebConfig. Used for TLS config.

`process_exporter_environment_file`:

Environment file to use for the service.

`process_exporter_environment_args_key`:

Key to look for in the environment file.

`process_exporter_environment_args`:

Arguments to set for the process in the environment file.

`process_exporter_service_name`:

Service name.

`process_exporter_config_templates`:

List of config template paths for the service.
